# opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE Class Reference

Node structure for the skeleton tree. More...

List of all members.

## Public Member Functions
void | addChild (T_SKEL_NODE *childNode)
| Add a child node (if not yet assigned), and set its parent node to this.
const std::vector< T_SKEL_NODE * > & | getChildren () const
| Return pointers to children nodes (vector).
int | getId () const
| Return pointer to reference T.
T_SKEL_NODE * | getParent () const
| Return pointer to parent node.
opentl::core::cvdata::CvData::DataReprType | getPoseType () const
| Return pointer to reference T.
const math::Transform & | getTRef () const
| Return pointer to reference T.
T_SKEL_NODE * | retrieveNodeById (int Id)
void | setParent (T_SKEL_NODE *node)
| Set pointer to parent node.
void | setTRef (const math::Transform &t)
| T_SKEL_NODE (const T_SKEL_NODE &other)
| Copy constructor.
| T_SKEL_NODE (opentl::core::cvdata::CvData::DataReprType poseType, int id)
| Default constructor.
| ~T_SKEL_NODE ()

## Detailed Description

Node structure for the skeleton tree.

## Constructor & Destructor Documentation

opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::T_SKEL_NODE | ( | opentl::core::cvdata::CvData::DataReprType | poseType,
|  | int | id |
| ) |  |  | `[inline]`

Default constructor.

opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::T_SKEL_NODE | ( | const T_SKEL_NODE & | other | ) | `[inline]`

Copy constructor.

opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::~T_SKEL_NODE | ( |  | ) | `[inline]`

## Member Function Documentation

void opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::addChild | ( | T_SKEL_NODE * | childNode | ) | `[inline]`

Add a child node (if not yet assigned), and set its parent node to this.

const std::vector<T_SKEL_NODE *>& opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::getChildren | ( |  | ) | const`[inline]`

Return pointers to children nodes (vector).

int opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::getId | ( |  | ) | const`[inline]`

Return pointer to reference T.

T_SKEL_NODE* opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::getParent | ( |  | ) | const`[inline]`

Return pointer to parent node.

opentl::core::cvdata::CvData::DataReprType opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::getPoseType | ( |  | ) | const`[inline]`

Return pointer to reference T.

const math::Transform& opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::getTRef | ( |  | ) | const`[inline]`

Return pointer to reference T.

T_SKEL_NODE* opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::retrieveNodeById | ( | int | Id | ) | `[inline]`

void opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::setParent | ( | T_SKEL_NODE * | node | ) | `[inline]`

Set pointer to parent node.

void opentl::core::cvdata::Skeleton::Skeleton::T_SKEL_NODE::setTRef | ( | const math::Transform & | t | ) | `[inline]`